Update Tsp
Update an existing TSP.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
tsp_id
Request
This endpoint expects an object.
name
TSP display name
source_name
Unique TSP identifier enum value
conn_type
Authentication method (OAuth, API Key, etc.)
description
Description of the TSP and its services
Response
Successful Response
name
source_name
TSP enum identifier for API references
conn_type
The type of connection usedt to authenticate with the TSP
id
Unique Catena TSP identifier
slug
URL-friendly TSP identifier
created_at
When the TSP was added to Catena
updated_at
Last modification timestamp
description
A description of the TSP
websites
List of websites associated with the TSP. The website is used to map users to an organization based on their email domain and to authenticate them accordingly in the scope of the organization.
status
The status of the TSP
is_sandbox
Indicates whether the TSP is a sandbox integrations for testing purposes.
logo_url
URL to the TSP's logo image, used for display purposes in the UI
logo_dark_url
URL to the TSP's logo image optimized for dark mode, used for display purposes in the UI
ext_tsp_id
Linked external TSP ID from regulatory registry
registry
The regulatory body that certified this provider (e.g. ‘fmcsa’). None if not linked to any registry.
compliance_status
ELD compliance status. ‘compliant’ means at least one device is registered. ‘non_compliant’ means ALL devices have been revoked. ‘unknown’ means the TSP is not linked to a regulatory registry or has no registered devices.
Allowed values:
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error